package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;

/**
 * @author hongawen
 * @date: 2019/12/25 13:54
 */
@Table(name="PMS_MONITOR")
public class Monitor {

    @Id
    @Column(name="MONITOR_ID")
    private String  monitorId;

    private String name;

    @Column(name="UPDATE_DATE")
    private Date updateDate;

    @Column(name="TERMINAL_SBBM")
    private String terminalSbbm;

    @Column(name="MONITOR_OBJECT_MODEL")
    private Integer monitorObjectModel;

    @Column(name="VOLTAGE_CLASS")
    private Integer voltageClass;

    @Column(name="DLRL")
    private Float dlri;

    @Column(name="SBRL")
    private Float sbrl;

    @Column(name="XYRL")
    private Float xyrl;

    @Column(name="MONITOR_OBJECT_NAME")
    private String monitorObjectName;

    @Column(name="MONITOR_STATUS")
    private Integer monitorStatus;

    @Column(name="RAILWAY_SUBSTATION")
    private String railwaySubstation;

    @Column(name="RAILWAY_TYPE")
    private String railwayType;

    @Column(name="RAILWAY_NAME")
    private String railwayName;

    @Column(name="RAILWAY_TRANSFORMER")
    private String railwayTransformer;

    @Column(name="RAILWAY_TRANSFORMER_PT1")
    private Integer railwayTransformerPT1;

    @Column(name="RAILWAY_TRANSFORMER_PT2")
    private Integer railwayTransformerPT2;

    @Column(name="RAILWAY_TRANSFORMER_DFCP")
    private String railwayTransformerDfcp;

    @Column(name="CABLE_LEN")
    private Integer cableLen;

    @Column(name="METHOD_OF_CABLE_LAYING")
    private String methodOfCableLaying;

    @Column(name="CABLE_MODEL")
    private String cableModel;

    @Column(name="CABLE_NUM")
    private Integer cableNum;

    @Column(name="SUBSTATION_NAME")
    private String substationName;

    @Column(name="SUBSTATION_OWNER")
    private String substationOwner;

    @Column(name="SUBSTATION_ADDR")
    private String substationAddr;

    @Column(name="FJLX")
    private String fjlx;

    @Column(name="SUBSTATION_LONGITUDE")
    private Float substationLongitude;

    @Column(name="SUBSTATION_LATITUDE")
    private Float substationLatitude;

    @Column(name="SUBSTATION_ALTITUDE")
    private Float substationAltitude;

    @Column(name="INSTALL_CP")
    private Float installCp;

    @Column(name="SVC_CP")
    private Float svcCp;

    @Column(name="NBQZWFS")
    private String nbqzwfs;

    @Column(name="POTENTIALTRANSFORMERTYPE")
    private String potentialTransformerType;

    @Column(name="TERMINALWIRINGMETHOD")
    private String TerminalWaringMethod;

    @Column(name="NEUTRALGROUNDINGMODE")
    private String neutralGroundingMode;

    @Column(name="ISSPECIALSUPPLYELECTRICITY")
    private String isSpecialSupplyElectricity;

    @Column(name="MONITORTYPE")
    private String monitorType;

    @Transient
    private Line line;

    @Transient
    private float voltageDev;//	FLOAT(10)	Not NULL	电压限值 上偏差

    @Transient
    private float uvoltageDev;//	FLOAT(10)	Not NULL	电压限值 下偏差

    public float getVoltageDev() {
        return voltageDev;
    }

    public void setVoltageDev(float voltageDev) {
        this.voltageDev = voltageDev;
    }

    public float getUvoltageDev() {
        return uvoltageDev;
    }

    public void setUvoltageDev(float uvoltageDev) {
        this.uvoltageDev = uvoltageDev;
    }

    public Line getLine() {
        return line;
    }

    public void setLine(Line line) {
        this.line = line;
    }

    public String getMonitorId() {
        return monitorId;
    }

    public void setMonitorId(String monitorId) {
        this.monitorId = monitorId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getTerminalSbbm() {
        return terminalSbbm;
    }

    public void setTerminalSbbm(String terminalSbbm) {
        this.terminalSbbm = terminalSbbm;
    }

    public Integer getMonitorObjectModel() {
        return monitorObjectModel;
    }

    public void setMonitorObjectModel(Integer monitorObjectModel) {
        this.monitorObjectModel = monitorObjectModel;
    }

    public Integer getVoltageClass() {
        return voltageClass;
    }

    public void setVoltageClass(Integer voltageClass) {
        this.voltageClass = voltageClass;
    }

    public Float getDlri() {
        return dlri;
    }

    public void setDlri(Float dlri) {
        this.dlri = dlri;
    }

    public Float getSbrl() {
        return sbrl;
    }

    public void setSbrl(Float sbrl) {
        this.sbrl = sbrl;
    }

    public Float getXyrl() {
        return xyrl;
    }

    public void setXyrl(Float xyrl) {
        this.xyrl = xyrl;
    }

    public String getMonitorObjectName() {
        return monitorObjectName;
    }

    public void setMonitorObjectName(String monitorObjectName) {
        this.monitorObjectName = monitorObjectName;
    }

    public Integer getMonitorStatus() {
        return monitorStatus;
    }

    public void setMonitorStatus(Integer monitorStatus) {
        this.monitorStatus = monitorStatus;
    }

    public String getRailwaySubstation() {
        return railwaySubstation;
    }

    public void setRailwaySubstation(String railwaySubstation) {
        this.railwaySubstation = railwaySubstation;
    }

    public String getRailwayType() {
        return railwayType;
    }

    public void setRailwayType(String railwayType) {
        this.railwayType = railwayType;
    }

    public String getRailwayName() {
        return railwayName;
    }

    public void setRailwayName(String railwayName) {
        this.railwayName = railwayName;
    }

    public String getRailwayTransformer() {
        return railwayTransformer;
    }

    public void setRailwayTransformer(String railwayTransformer) {
        this.railwayTransformer = railwayTransformer;
    }

    public Integer getRailwayTransformerPT1() {
        return railwayTransformerPT1;
    }

    public void setRailwayTransformerPT1(Integer railwayTransformerPT1) {
        this.railwayTransformerPT1 = railwayTransformerPT1;
    }

    public Integer getRailwayTransformerPT2() {
        return railwayTransformerPT2;
    }

    public void setRailwayTransformerPT2(Integer railwayTransformerPT2) {
        this.railwayTransformerPT2 = railwayTransformerPT2;
    }

    public String getRailwayTransformerDfcp() {
        return railwayTransformerDfcp;
    }

    public void setRailwayTransformerDfcp(String railwayTransformerDfcp) {
        this.railwayTransformerDfcp = railwayTransformerDfcp;
    }

    public Integer getCableLen() {
        return cableLen;
    }

    public void setCableLen(Integer cableLen) {
        this.cableLen = cableLen;
    }

    public String getMethodOfCableLaying() {
        return methodOfCableLaying;
    }

    public void setMethodOfCableLaying(String methodOfCableLaying) {
        this.methodOfCableLaying = methodOfCableLaying;
    }

    public String getCableModel() {
        return cableModel;
    }

    public void setCableModel(String cableModel) {
        this.cableModel = cableModel;
    }

    public Integer getCableNum() {
        return cableNum;
    }

    public void setCableNum(Integer cableNum) {
        this.cableNum = cableNum;
    }

    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }

    public String getSubstationOwner() {
        return substationOwner;
    }

    public void setSubstationOwner(String substationOwner) {
        this.substationOwner = substationOwner;
    }

    public String getSubstationAddr() {
        return substationAddr;
    }

    public void setSubstationAddr(String substationAddr) {
        this.substationAddr = substationAddr;
    }



    public Float getSubstationLongitude() {
        return substationLongitude;
    }

    public void setSubstationLongitude(Float substationLongitude) {
        this.substationLongitude = substationLongitude;
    }

    public Float getSubstationLatitude() {
        return substationLatitude;
    }

    public void setSubstationLatitude(Float substationLatitude) {
        this.substationLatitude = substationLatitude;
    }

    public Float getSubstationAltitude() {
        return substationAltitude;
    }

    public void setSubstationAltitude(Float substationAltitude) {
        this.substationAltitude = substationAltitude;
    }

    public Float getInstallCp() {
        return installCp;
    }

    public void setInstallCp(Float installCp) {
        this.installCp = installCp;
    }

    public Float getSvcCp() {
        return svcCp;
    }

    public void setSvcCp(Float svcCp) {
        this.svcCp = svcCp;
    }

    public String getFjlx() {
        return fjlx;
    }

    public void setFjlx(String fjlx) {
        this.fjlx = fjlx;
    }

    public String getNbqzwfs() {
        return nbqzwfs;
    }

    public void setNbqzwfs(String nbqzwfs) {
        this.nbqzwfs = nbqzwfs;
    }

    public String getPotentialTransformerType() {
        return potentialTransformerType;
    }

    public void setPotentialTransformerType(String potentialTransformerType) {
        this.potentialTransformerType = potentialTransformerType;
    }

    public String getTerminalWaringMethod() {
        return TerminalWaringMethod;
    }

    public void setTerminalWaringMethod(String terminalWaringMethod) {
        TerminalWaringMethod = terminalWaringMethod;
    }

    public String getNeutralGroundingMode() {
        return neutralGroundingMode;
    }

    public void setNeutralGroundingMode(String neutralGroundingMode) {
        this.neutralGroundingMode = neutralGroundingMode;
    }

    public String getIsSpecialSupplyElectricity() {
        return isSpecialSupplyElectricity;
    }

    public void setIsSpecialSupplyElectricity(String isSpecialSupplyElectricity) {
        this.isSpecialSupplyElectricity = isSpecialSupplyElectricity;
    }

    public String getMonitorType() {
        return monitorType;
    }

    public void setMonitorType(String monitorType) {
        this.monitorType = monitorType;
    }

    @Override
    public String toString() {
        return "Monitor{" +
                "monitorId='" + monitorId + '\'' +
                ", name='" + name + '\'' +
                ", updateDate=" + updateDate +
                ", terminalSbbm='" + terminalSbbm + '\'' +
                ", monitorObjectModel=" + monitorObjectModel +
                ", voltageClass=" + voltageClass +
                ", dlri=" + dlri +
                ", sbrl=" + sbrl +
                ", xyrl=" + xyrl +
                ", monitorObjectName='" + monitorObjectName + '\'' +
                ", monitorStatus=" + monitorStatus +
                ", railwaySubstation='" + railwaySubstation + '\'' +
                ", railwayType='" + railwayType + '\'' +
                ", railwayName='" + railwayName + '\'' +
                ", railwayTransformer='" + railwayTransformer + '\'' +
                ", railwayTransformerPT1=" + railwayTransformerPT1 +
                ", railwayTransformerPT2=" + railwayTransformerPT2 +
                ", railwayTransformerDfcp='" + railwayTransformerDfcp + '\'' +
                ", cableLen=" + cableLen +
                ", methodOfCableLaying='" + methodOfCableLaying + '\'' +
                ", cableModel='" + cableModel + '\'' +
                ", cableNum=" + cableNum +
                ", substationName='" + substationName + '\'' +
                ", substationOwner='" + substationOwner + '\'' +
                ", substationAddr='" + substationAddr + '\'' +
                ", fjlx='" + fjlx + '\'' +
                ", substationLongitude=" + substationLongitude +
                ", substationLatitude=" + substationLatitude +
                ", substationAltitude=" + substationAltitude +
                ", installCp=" + installCp +
                ", svcCp=" + svcCp +
                ", nbqzwfs='" + nbqzwfs + '\'' +
                ", potentialTransformerType='" + potentialTransformerType + '\'' +
                ", TerminalWaringMethod='" + TerminalWaringMethod + '\'' +
                ", neutralGroundingMode='" + neutralGroundingMode + '\'' +
                ", isSpecialSupplyElectricity='" + isSpecialSupplyElectricity + '\'' +
                ", monitorType='" + monitorType + '\'' +
                ", line=" + line +
                '}';
    }
}
